Package org.apache.xmlbeans.impl.xb.xsdschema

## Interface AttributeGroup

- All Superinterfaces:
    `Annotated`, `OpenAttrs`, `XmlObject`, `XmlTokenSource`
  All Known Subinterfaces:
    `AttributeGroupRef`, `NamedAttributeGroup`
  All Known Implementing Classes:
    `AttributeGroupImpl`, `AttributeGroupRefImpl`, `NamedAttributeGroupImpl`

      public interface AttributeGroup
      extends Annotated

  An XML attributeGroup(@http://www.w3.org/2001/XMLSchema). This is a complex type.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static AbstractDocumentFactory<AttributeGroup>` | `Factory` |
    `static SchemaType` | `type` |

    - ### Fields inherited from interface org.apache.xmlbeans.XmlObject

      `EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Wildcard` | `addNewAnyAttribute()` | Appends and returns a new empty "anyAttribute" element
    `Attribute` | `addNewAttribute()` | Appends and returns a new empty value (as xml) as the last "attribute" element
    `AttributeGroupRef` | `addNewAttributeGroup()` | Appends and returns a new empty value (as xml) as the last "attributeGroup" element
    `Wildcard` | `getAnyAttribute()` | Gets the "anyAttribute" element
    `Attribute[]` | `getAttributeArray()` | Gets array of all "attribute" elements
    `Attribute` | `getAttributeArray​(int i)` | Gets ith "attribute" element
    `AttributeGroupRef[]` | `getAttributeGroupArray()` | Gets array of all "attributeGroup" elements
    `AttributeGroupRef` | `getAttributeGroupArray​(int i)` | Gets ith "attributeGroup" element
    `List<AttributeGroupRef>` | `getAttributeGroupList()` | Gets a List of "attributeGroup" elements
    `List<Attribute>` | `getAttributeList()` | Gets a List of "attribute" elements
    `String` | `getName()` | Gets the "name" attribute
    `QName` | `getRef()` | Gets the "ref" attribute
    `Attribute` | `insertNewAttribute​(int i)` | Inserts and returns a new empty value (as xml) as the ith "attribute" element
    `AttributeGroupRef` | `insertNewAttributeGroup​(int i)` | Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element
    `boolean` | `isSetAnyAttribute()` | True if has "anyAttribute" element
    `boolean` | `isSetName()` | True if has "name" attribute
    `boolean` | `isSetRef()` | True if has "ref" attribute
    `void` | `removeAttribute​(int i)` | Removes the ith "attribute" element
    `void` | `removeAttributeGroup​(int i)` | Removes the ith "attributeGroup" element
    `void` | `setAnyAttribute​(Wildcard anyAttribute)` | Sets the "anyAttribute" element
    `void` | `setAttributeArray​(int i, Attribute attribute)` | Sets ith "attribute" element
    `void` | `setAttributeArray​(Attribute[] attributeArray)` | Sets array of all "attribute" element
    `void` | `setAttributeGroupArray​(int i, AttributeGroupRef attributeGroup)` | Sets ith "attributeGroup" element
    `void` | `setAttributeGroupArray​(AttributeGroupRef[] attributeGroupArray)` | Sets array of all "attributeGroup" element
    `void` | `setName​(String name)` | Sets the "name" attribute
    `void` | `setRef​(QName ref)` | Sets the "ref" attribute
    `int` | `sizeOfAttributeArray()` | Returns number of "attribute" element
    `int` | `sizeOfAttributeGroupArray()` | Returns number of "attributeGroup" element
    `void` | `unsetAnyAttribute()` | Unsets the "anyAttribute" element
    `void` | `unsetName()` | Unsets the "name" attribute
    `void` | `unsetRef()` | Unsets the "ref" attribute
    `XmlNCName` | `xgetName()` | Gets (as xml) the "name" attribute
    `XmlQName` | `xgetRef()` | Gets (as xml) the "ref" attribute
    `void` | `xsetName​(XmlNCName name)` | Sets (as xml) the "name" attribute
    `void` | `xsetRef​(XmlQName ref)` | Sets (as xml) the "ref" attribute

    - ### Methods inherited from interface org.apache.xmlbeans.impl.xb.xsdschema.Annotated

      `addNewAnnotation, getAnnotation, getId, isSetAnnotation, isSetId, setAnnotation, setId, unsetAnnotation, unsetId, xgetId, xsetId`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlObject

      `changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

    - ### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

      `documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

- - ### Field Detail

    - #### Factory

          static final AbstractDocumentFactory<AttributeGroup> Factory

    - #### type

          static final SchemaType type

  - ### Method Detail

    - #### getAttributeList

          List<Attribute> getAttributeList()

      Gets a List of "attribute" elements

    - #### getAttributeArray

          Attribute[] getAttributeArray()

      Gets array of all "attribute" elements

    - #### getAttributeArray

          Attribute getAttributeArray​(int i)

      Gets ith "attribute" element

    - #### sizeOfAttributeArray

          int sizeOfAttributeArray()

      Returns number of "attribute" element

    - #### setAttributeArray

          void setAttributeArray​(Attribute[] attributeArray)

      Sets array of all "attribute" element

    - #### setAttributeArray

          void setAttributeArray​(int i,
                                 Attribute attribute)

      Sets ith "attribute" element

    - #### insertNewAttribute

          Attribute insertNewAttribute​(int i)

      Inserts and returns a new empty value (as xml) as the ith "attribute" element

    - #### addNewAttribute

          Attribute addNewAttribute()

      Appends and returns a new empty value (as xml) as the last "attribute" element

    - #### removeAttribute

          void removeAttribute​(int i)

      Removes the ith "attribute" element

    - #### getAttributeGroupList

          List<AttributeGroupRef> getAttributeGroupList()

      Gets a List of "attributeGroup" elements

    - #### getAttributeGroupArray

          AttributeGroupRef[] getAttributeGroupArray()

      Gets array of all "attributeGroup" elements

    - #### getAttributeGroupArray

          AttributeGroupRef getAttributeGroupArray​(int i)

      Gets ith "attributeGroup" element

    - #### sizeOfAttributeGroupArray

          int sizeOfAttributeGroupArray()

      Returns number of "attributeGroup" element

    - #### setAttributeGroupArray

          void setAttributeGroupArray​(AttributeGroupRef[] attributeGroupArray)

      Sets array of all "attributeGroup" element

    - #### setAttributeGroupArray

          void setAttributeGroupArray​(int i,
                                      AttributeGroupRef attributeGroup)

      Sets ith "attributeGroup" element

    - #### insertNewAttributeGroup

          AttributeGroupRef insertNewAttributeGroup​(int i)

      Inserts and returns a new empty value (as xml) as the ith "attributeGroup" element

    - #### addNewAttributeGroup

          AttributeGroupRef addNewAttributeGroup()

      Appends and returns a new empty value (as xml) as the last "attributeGroup" element

    - #### removeAttributeGroup

          void removeAttributeGroup​(int i)

      Removes the ith "attributeGroup" element

    - #### getAnyAttribute

          Wildcard getAnyAttribute()

      Gets the "anyAttribute" element

    - #### isSetAnyAttribute

          boolean isSetAnyAttribute()

      True if has "anyAttribute" element

    - #### setAnyAttribute

          void setAnyAttribute​(Wildcard anyAttribute)

      Sets the "anyAttribute" element

    - #### addNewAnyAttribute

          Wildcard addNewAnyAttribute()

      Appends and returns a new empty "anyAttribute" element

    - #### unsetAnyAttribute

          void unsetAnyAttribute()

      Unsets the "anyAttribute" element

    - #### getName

          String getName()

      Gets the "name" attribute

    - #### xgetName

          XmlNCName xgetName()

      Gets (as xml) the "name" attribute

    - #### isSetName

          boolean isSetName()

      True if has "name" attribute

    - #### setName

          void setName​(String name)

      Sets the "name" attribute

    - #### xsetName

          void xsetName​(XmlNCName name)

      Sets (as xml) the "name" attribute

    - #### unsetName

          void unsetName()

      Unsets the "name" attribute

    - #### getRef

          QName getRef()

      Gets the "ref" attribute

    - #### xgetRef

          XmlQName xgetRef()

      Gets (as xml) the "ref" attribute

    - #### isSetRef

          boolean isSetRef()

      True if has "ref" attribute

    - #### setRef

          void setRef​(QName ref)

      Sets the "ref" attribute

    - #### xsetRef

          void xsetRef​(XmlQName ref)

      Sets (as xml) the "ref" attribute

    - #### unsetRef

          void unsetRef()

      Unsets the "ref" attribute